//Check for door support
%error = ForceRequiredAddOn( "Support_Doors" );

if( %error == $Error::AddOn_NotFound )
{
	error("Interactive Brick Pack: Support_Doors is missing somehow, what did you do?");
	return;
}

//Load event modifications
exec("./scripts/eventModification.cs");



//Container
datablock fxDTSBrickData ( brick2x2x2containerOPENData )
{
	brickFile = "./bricks/2x2x2containerOPEN.blb";
	uiName = "2x2x2 Container";
	collisionShapeName = "./collisions/2x2x2containerOpenCOL.dts";
		
	isDoor = 1;
	skipDoorEvents = 0;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brick2x2x2containerData";
	openCW = "brick2x2x2containerOPENData";
	
	closedCCW = "brick2x2x2containerData";
	openCCW = "brick2x2x2containerOPENData";
};

datablock fxDTSBrickData ( brick2x2x2containerData : brick2x2x2containerOPENData )
{
	brickFile = "./bricks/2x2x2container.blb";
	category = "Special";
	subCategory = "Interactive";
	iconName = "Add-Ons/Brick_Interactive/icons/2x2x2container";
	collisionShapeName = "./collisions/2x2x2containerCOL.dts";
	
	isOpen = 0;
};

//Lever
datablock fxDTSBrickData ( brickLever45CWData )
{
	brickFile = "./bricks/Lever45CW.blb";
	uiName = "Lever 45 CW";
	collisionShapeName = "./collisions/lever45CWCOL.dts";	
	
	// door things
	isDoor = 1;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brickLeverStraightData";
	openCW = "brickLever45CWData";
	
	closedCCW = "brickLeverStraightData";
	openCCW = "brickLever45CCWData";	
};

datablock fxDTSBrickData ( brickLever45CCWData : brickLever45CWData )
{
	brickFile = "./bricks/Lever45CCW.blb";
	uiName = "Lever 45 CCW";
	isOpen = 1;
	collisionShapeName = "./collisions/lever45CCWCOL.dts";	
};

datablock fxDTSBrickData ( brickLeverStraightData : brickLever45CWData )
{
	brickFile = "./bricks/LeverStraight.blb";
	uiName = "Lever";	
	category = "special";
	subCategory = "Interactive";
	iconName = "Add-Ons/Brick_Interactive/icons/LeverStraight";
	collisionShapeName = "./collisions/leverStraightCOL.dts";	
	
	isOpen = 0;

};

//1x3DoorLeft
datablock fxDTSBrickData ( brick1x3DoorLeftOPENData )
{
	brickFile = "./bricks/1x3DoorLeftOPEN.blb";
	uiName = "1x3 Door Left";
	collisionShapeName = "./collisions/1x3DoorLeftOpenCOL.dts";	
		
	isDoor = 1;
	skipDoorEvents = 0;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brick1x3DoorLeftData";
	openCW = "brick1x3DoorLeftOPENData";
	
	closedCCW = "brick1x3DoorLeftData";
	openCCW = "brick1x3DoorLeftOPENData";
};

datablock fxDTSBrickData ( brick1x3DoorLeftData : brick1x3DoorLeftOPENData )
{
	brickFile = "./bricks/1x3DoorLeft.blb";
	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Interactive/icons/1x3DoorLeft";
        orientationFix = 2;
	collisionShapeName = "./collisions/1x3DoorLeftCOL.dts";	
	
	isOpen = 0;
};

//1x3DoorRight
datablock fxDTSBrickData ( brick1x3DoorRightOPENData )
{
	brickFile = "./bricks/1x3DoorRightOPEN.blb";
	uiName = "1x3 Door Right";
	collisionShapeName = "./collisions/1x3DoorRightOpenCOL.dts";	
		
	isDoor = 1;
	skipDoorEvents = 0;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brick1x3DoorRightData";
	openCW = "brick1x3DoorRightOPENData";
	
	closedCCW = "brick1x3DoorRightData";
	openCCW = "brick1x3DoorRightOPENData";
};

datablock fxDTSBrickData ( brick1x3DoorRightData : brick1x3DoorRightOPENData )
{
	brickFile = "./bricks/1x3DoorRight.blb";
	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Interactive/icons/1x3DoorRight";
        orientationFix = 2;
	collisionShapeName = "./collisions/1x3DoorRightCOL.dts";	
	
	isOpen = 0;
};

//1x3x2DoorLeft
datablock fxDTSBrickData ( brick1x3x2DoorLeftOPENData )
{
	brickFile = "./bricks/1x3x2DoorLeftOPEN.blb";
	uiName = "1x3x2 Door Left";
	collisionShapeName = "./collisions/1x3x2DoorLeftOpenCOL.dts";	
		
	isDoor = 1;
	skipDoorEvents = 0;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brick1x3x2DoorLeftData";
	openCW = "brick1x3x2DoorLeftOPENData";
	
	closedCCW = "brick1x3x2DoorLeftData";
	openCCW = "brick1x3x2DoorLeftOPENData";
};

datablock fxDTSBrickData ( brick1x3x2DoorLeftData : brick1x3x2DoorLeftOPENData )
{
	brickFile = "./bricks/1x3x2DoorLeft.blb";
	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Interactive/icons/1x3x2DoorLeft";
        orientationFix = 2;
	collisionShapeName = "./collisions/1x3x2DoorLeftCOL.dts";
	
	isOpen = 0;
};

//1x3x2DoorRight
datablock fxDTSBrickData ( brick1x3x2DoorRightOPENData )
{
	brickFile = "./bricks/1x3x2DoorRightOPEN.blb";
	uiName = "1x3x2 Door Right";
	collisionShapeName = "./collisions/1x3x2DoorRightOpenCOL.dts";	
		
	isDoor = 1;
	skipDoorEvents = 0;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brick1x3x2DoorRightData";
	openCW = "brick1x3x2DoorRightOPENData";
	
	closedCCW = "brick1x3x2DoorRightData";
	openCCW = "brick1x3x2DoorRightOPENData";
};

datablock fxDTSBrickData ( brick1x3x2DoorRightData : brick1x3x2DoorRightOPENData )
{
	brickFile = "./bricks/1x3x2DoorRight.blb";
	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Interactive/icons/1x3x2DoorRight";
	collisionShapeName = "./collisions/1x3x2DoorRightCOL.dts";	
	
	isOpen = 0;
};

//1x3x4DoorLeft
datablock fxDTSBrickData ( brick1x3x4DoorLeftOPENData )
{
	brickFile = "./bricks/1x3x4DoorLeftOPEN.blb";
	uiName = "1x3x4 Door Left";
	collisionShapeName = "./collisions/1x3x4DoorLeftOpenCOL.dts";	
		
	isDoor = 1;
	skipDoorEvents = 0;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brick1x3x4DoorLeftData";
	openCW = "brick1x3x4DoorLeftOPENData";
	
	closedCCW = "brick1x3x4DoorLeftData";
	openCCW = "brick1x3x4DoorLeftOPENData";
};

datablock fxDTSBrickData ( brick1x3x4DoorLeftData : brick1x3x4DoorLeftOPENData )
{
	brickFile = "./bricks/1x3x4DoorLeft.blb";
	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Interactive/icons/1x3x4DoorLeft";
        orientationFix = 2;
	collisionShapeName = "./collisions/1x3x4DoorLeftCOL.dts";
	
	isOpen = 0;
};

//1x3x4DoorRight
datablock fxDTSBrickData ( brick1x3x4DoorRightOPENData )
{
	brickFile = "./bricks/1x3x4DoorRightOPEN.blb";
	uiName = "1x3x4 Door Right";
	collisionShapeName = "./collisions/1x3x4DoorRightOpenCOL.dts";	
		
	isDoor = 1;
	skipDoorEvents = 0;
	isOpen = 1;
	
	// we need to know what datablock to switch to when we open & close a door
	closedCW = "brick1x3x4DoorRightData";
	openCW = "brick1x3x4DoorRightOPENData";
	
	closedCCW = "brick1x3x4DoorRightData";
	openCCW = "brick1x3x4DoorRightOPENData";
};

datablock fxDTSBrickData ( brick1x3x4DoorRightData : brick1x3x4DoorRightOPENData )
{
	brickFile = "./bricks/1x3x4DoorRight.blb";
	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Interactive/icons/1x3x4DoorRight";
	collisionShapeName = "./collisions/1x3x4DoorRightCOL.dts";	
	
	isOpen = 0;
};